#ifndef RIGHT_WIDGET_H
#define RIGHT_WIDGET_H

#include <QWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QStyleOption>
#include <QPainter>
#include "quad_btns_title_bar.h"
#include "main_win_property_widget.h"
class EmptyWidget:public QWidget
{
    Q_OBJECT
public:
    explicit EmptyWidget(QWidget *parent);

    void setQSSFontSize(QFont curFont);

protected:
    void paintEvent(QPaintEvent *e);

private:
    QLabel* m_first;
    QLabel* m_second;
    QVBoxLayout* m_VLayoutExhbition;
};

class RightWidget : public QWidget
{
    Q_OBJECT
public:
    explicit RightWidget(QWidget *parent);
    void setQSSFontSize(QFont curFont);
public slots:
    void updateExhbitionSector(const UkuiUsbPrinter&);
    void hideExhbitionSector();

protected:
    void paintEvent(QPaintEvent *) override;
    MainWinPropertyWidget *m_deviceExhbitionMyWidget;
    EmptyWidget *m_emptyWidget;
signals:

private:
    QVBoxLayout *m_VLayoutExhbition;
    QHBoxLayout *m_HLayoutProperty;
    QuadBtnsTitleBar *m_HLayoutQuadsBtn;

    QWidget *m_mainWin;

    void initPropertySectorQSS();
    void initExhbitionSectorQSS(QWidget *parent);
    friend class MainWindow;
};

#endif // RIGHT_WIDGET_H
